Bug 327332 - Krita is switching buttons on wacom stylus - middle button becomes right one and vice versa
Summary: Krita is switching buttons on wacom stylus - middle button becomes right one ...
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: Tablets (tablet issues are only very rarely bugs in Krita!) (show other bugs)
Version: 2.8 Pre-Alpha
Platform: Microsoft Windows Microsoft Windows
: NOR normal
Target Milestone: ---
Assignee: Krita Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-11-08 22:36 UTC by slawek
Modified: 2014-01-05 11:41 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description slawek 2013-11-08 22:36:02 UTC
Krita is ignoring settings and is switching around stylus buttons. Right click works for panning and middle click on stylus brings up menu instead of other way around. 
Switching those two keys in Wacom tablet preferences has no effect - in krita MMB and RMB are still "seen" in reverse.
Reversing stylus buttons inside Krita preferences works partially - menu  now shows when right button pressed on stylus, but it disappears when button isnt pushed and choosing anything from it is impossible.
Mouse buttons work as they should - only Wacom stylus buttons suffer from that bug.

(haven't checked it personally - supposedly switching those two buttons in Krita's preferences AND turning off right click completely in Wacom tablet preferences is a workaround).

Reproducible: Always

Steps to Reproduce:
1.Press right button on Wacom stylus (lower one, closer to the stylus tip is set by default to right click)
2.
3.
Actual Results:  
Instead of menu popping out user may now pan canvas.

Expected Results:  
Right click menu (with color wheel and favorite bushes) should pop out
Comment 1 Halla Rempt 2013-11-11 10:11:02 UTC
Dmitry, can you take a look?
Comment 2 Dmitry Kazakov 2014-01-02 19:49:53 UTC
Git commit e37a29d5473c61208849c14635c09d05c18b50f9 by Dmitry Kazakov.
Committed on 02/01/2014 at 19:49.
Pushed by dkazakov into branch 'master'.

Fix the mapping between tablet buttons on Windows

Now we convert the tablet button using the data configured by the
Wacom driver, which is updated on every WT_PROXIMITY event.

M  +6    -0    krita/ui/input/wintab/kis_tablet_support.h
M  +19   -9    krita/ui/input/wintab/kis_tablet_support_win.cpp

http://commits.kde.org/calligra/e37a29d5473c61208849c14635c09d05c18b50f9
Comment 3 Dmitry Kazakov 2014-01-05 11:41:12 UTC
Git commit 20055d32ccd554675e1c3095d4d95fd62e86d231 by Dmitry Kazakov.
Committed on 02/01/2014 at 19:49.
Pushed by dkazakov into branch 'calligra/2.8'.

Fix the mapping between tablet buttons on Windows

Now we convert the tablet button using the data configured by the
Wacom driver, which is updated on every WT_PROXIMITY event.

M  +6    -0    krita/ui/input/wintab/kis_tablet_support.h
M  +19   -9    krita/ui/input/wintab/kis_tablet_support_win.cpp

http://commits.kde.org/calligra/20055d32ccd554675e1c3095d4d95fd62e86d231